EDIT - bug #6354

Advanced search: non phrase search with wildcard broken
01/20/2017 01:34 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 50%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 4.6

Severity: normal Found in Version:

Description

Example search string: Abi*

this is a regression introduced by #4223

Related issues:
Related to EDIT - bug #6634: Advanced search: DataPortal always does a phrase... New

Associated revisions

Revision d93004c1 - 01/20/2017 01:40 PM - Andreas Kohlbecker

fix #6354 non phrase search with wildcard using the standart QueryParser

Revision 088873e9 - 01/20/2017 01:46 PM - Andreas Kohlbecker

ref #6354 additinonal test for non phrase queries

History

#1 - 01/20/2017 01:35 PM - Andreas Kohlbecker

- Description updated

#2 - 01/20/2017 01:40 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|d93004¢c1d8290a60779c3731a33ba3c46b062ec9.

#3 - 03/02/2017 02:58 PM - Andreas Kohlbecker

- Description updated

#4 - 05/11/2017 08:18 AM - Andreas Kohlbecker
- Related to bug #6634: Advanced search: DataPortal always does a phrase search added

#5 - 05/11/2017 08:20 AM - Andreas Kohlbecker

- Status changed from Resolved to Closed

this is fixed even if the advanced search in the portal still is broken when using wildcards, this however is another issue: #6634:
